update AMMIC lib from 0.9 to MPC564xL_AMMCLIB_v1.1.23 for SPC5643L in code warrior 11

cancel
Showing results for 
Search instead for 
Did you mean: 

update AMMIC lib from 0.9 to MPC564xL_AMMCLIB_v1.1.23 for SPC5643L in code warrior 11

326 Views
steven_zhang
Contributor IV

I tried to update AMMIC lib from 0.9 to AMMIC lib from 0.9 to MPC564xL_AMMCLIB_v1.1.23 for SPC5643L in code warrior 11. got the attached information,it seams theres is wrong pathes,i update the pathes setting as the same as the MTRCKTSPS5643L_SW which is for S32DS. i got errors too,

i check the MPC564XLMCLUG.PDF, it says i should  enable SPE in the interrupt  for SPC5643L,can anyone help me?

 

 

0 Kudos
3 Replies

203 Views
petervlna
NXP Employee
NXP Employee

Hello,

Could you please elaborate the issue closely and post full screenshots of errors reported by compiler?

So you are migrating SPC5604 project? Which SPEC5604B or P ?

Best regards,

Peter

0 Kudos

321 Views
petervlna
NXP Employee
NXP Employee

Hello,

Make sure you correctly set paths to your header files in S32DS.

If possible post full screenshots of the errors with paths.

check the MPC564XLMCLUG.PDF, it says i should enable SPE in the interrupt for SPC5643L,can anyone help me?

You have to modify your interrupt handler prolog.

petervlna_0-1618310181915.png

As the MSR content will not reflect SPE bit, once you enter interrupt and will be restored on return from interrupt.

So if you want to use SPE functions in interrupt make sure SPE is enabled in MSR register in your interrupt.

petervlna_1-1618310316603.png

Best regards,

Peter

 

 

0 Kudos

210 Views
steven_zhang
Contributor IV

i can not fix the errors,my SPC5643L firmware  project is migrate from SPC5604 firmware project . there must be something that can not compatible for the new MPC564xL_AMMCLIB_v1.1.23 ?

0 Kudos